curl --request GET \
--url https://api.test.switch.vaultera.co/payment_methods/{method_id} \
--header 'api-key: <api-key>'import requests
url = "https://api.test.switch.vaultera.co/payment_methods/{method_id}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.test.switch.vaultera.co/payment_methods/{method_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merchant_id": "merchant_1671528864",
"payment_method_id": "card_rGK4Vi5iSW70MY7J2mIg",
"payment_method": "card",
"recurring_enabled": true,
"installment_payment_enabled": true,
"customer_id": "cus_y3oqhf46pyzuxjbcn2giaqnb44",
"payment_method_type": "ach",
"card": {
"saved_to_locker": true,
"scheme": "<string>",
"issuer_country": "<string>",
"last4_digits": "<string>",
"expiry_month": "<string>",
"expiry_year": "<string>",
"card_token": "<string>",
"card_holder_name": "<string>",
"card_fingerprint": "<string>",
"nick_name": "<string>",
"card_network": "Visa",
"card_isin": "<string>",
"card_issuer": "<string>",
"card_type": "<string>"
},
"payment_experience": [
"redirect_to_url"
],
"metadata": {},
"created": "2023-01-18T11:04:09.922Z",
"bank_transfer": {
"bank_account_number": "000123456",
"bank_routing_number": "110000000",
"bank_name": "Deutsche Bank",
"bank_country_code": "AF",
"bank_city": "California"
},
"last_used_at": "2024-02-24T11:04:09.922Z",
"client_secret": "<string>"
}Payment Method - Retrieve
Retrieves a payment method of a customer.
Authorizations
Use the API key created under your merchant account from the Vaultera Switch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Path Parameters
The unique identifier for the Payment Method
Response
Payment Method retrieved
Unique identifier for a merchant
"merchant_1671528864"
The unique identifier of the Payment method
"card_rGK4Vi5iSW70MY7J2mIg"
Indicates the type of payment method. Eg: 'card', 'wallet', etc.
card, card_redirect, pay_later, wallet, bank_redirect, bank_transfer, crypto, bank_debit, reward, real_time_payment, upi, voucher, gift_card, open_banking, mobile_payment Indicates whether the payment method is eligible for recurring payments
true
Indicates whether the payment method is eligible for installment payments
true
The unique identifier of the customer.
1 - 64"cus_y3oqhf46pyzuxjbcn2giaqnb44"
Indicates the sub type of payment method. Eg: 'google_pay' & 'apple_pay' for wallets.
ach, affirm, afterpay_clearpay, alfamart, ali_pay, ali_pay_hk, alma, amazon_pay, apple_pay, atome, bacs, bancontact_card, becs, benefit, bizum, blik, boleto, bca_bank_transfer, bni_va, bri_va, card_redirect, cimb_va, classic, credit, crypto_currency, cashapp, dana, danamon_va, debit, duit_now, efecty, eft, eps, fps, evoucher, giropay, givex, google_pay, go_pay, gcash, ideal, interac, indomaret, klarna, kakao_pay, local_bank_redirect, mandiri_va, knet, mb_way, mobile_pay, momo, momo_atm, multibanco, online_banking_thailand, online_banking_czech_republic, online_banking_finland, online_banking_fpx, online_banking_poland, online_banking_slovakia, oxxo, pago_efectivo, permata_bank_transfer, open_banking_uk, pay_bright, paypal, paze, pix, pay_safe_card, przelewy24, prompt_pay, pse, red_compra, red_pagos, samsung_pay, sepa, sepa_bank_transfer, sofort, swish, touch_n_go, trustly, twint, upi_collect, upi_intent, vipps, viet_qr, venmo, walley, we_chat_pay, seven_eleven, lawson, mini_stop, family_mart, seicomart, pay_easy, local_bank_transfer, mifinity, open_banking_pis, direct_carrier_billing, instant_bank_transfer Show child attributes
Show child attributes
Type of payment experience enabled with the connector
To indicate the type of payment experience that the customer would go through
redirect_to_url, invoke_sdk_client, display_qr_code, one_click, link_wallet, invoke_payment_app, display_wait_screen, collect_otp ["redirect_to_url"]
You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Metadata is useful for storing additional, structured information on an object.
A timestamp (ISO 8601 code) that determines when the payment method was created
"2023-01-18T11:04:09.922Z"
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
"2024-02-24T11:04:09.922Z"
For Client based calls